diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/AUTHORS ns-3.47/AUTHORS
--- ns-3.46/AUTHORS	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/AUTHORS	2026-02-16 16:08:49.470229400 -0800
@@ -1,4 +1,5 @@
-Rami Abdallah <abdallah.rami@gmail.com>
+Jayesh Akot (akotjayesh@gmail.com)
+Rami Abdallah (abdallah.rami@gmail.com)
 Eduardo Abinader (eduardo.abinader@gmail.com)
 John Abraham (john.abraham.in@gmail.com)
 Danilo Abrignani (dabrignani@gmail.com)
@@ -14,10 +15,12 @@
 Robert Ammon (ammo6818@vandals.uidaho.edu)
 André Apitzsch (andre.apitzsch@etit.tu-chemnitz.de)
 Kirill Andreev (andreev@iitp.ru)
+Animesh (animeshsri.official@gmail.com)
 Dean Armstrong (deanarm@gmail.com)
 Gabriel Arrobo (gab.arrobo@gmail.com)
 Zakaria Helal Arzoo (arzoozakaria@gmail.com)
 Stefano Avallone (stefano.avallone@unina.it)
+Tommy Azzino (tommy.azzino@gmail.com)
 Vignesh Babu (ns3-dev@esk.fraunhofer.de)
 Ghada Badawy (gbadawy@gmail.com)
 Shikha Bakshi (shikhabakshi912@gmail.com)
@@ -88,6 +91,7 @@
 Matteo Drago (matteo.drago1994@gmail.com)
 Gilaras Drakeson (gilaras@gmail.com)
 Jared Dulmage (jared.dulmage@wpli.net)
+Alexey Elfimov (alexey.kocs@gmail.com)
 Mathias Ettinger (mettinger@toulouse.viveris.com)
 Christian Facchini (c.facchini@gmail.com)
 Denis Fakhriev (fakhriev@iitp.ru)
@@ -136,6 +140,7 @@
 Philip Hönnecke (p.hoennecke@tu-braunschweig.de)
 Chris Hood (chood8@gatech.edu)
 Blake Hurd (naimorai@gmail.com)
+Immortus1 (yashas80dj@gmail.com)
 Pasquale Imputato (p.imputato@gmail.com)
 Muhammad Inamullah (inamullah.m@gmail.com)
 Muhammad Iqbal CR (muh.iqbal.cr@gmail.com)
@@ -230,6 +235,7 @@
 Michele Muccio (michelemuccio@virgilio.it)
 Esteban Municio (esteban.municio@urjc.es)
 Sidharth Nabar (snabar@uw.edu)
+Nagabhushanam2005 (thechosentwins2005@gmail.com)
 Sharan Naribole (sharan.naribole@gmail.com)
 Hemanth Narra (hemanth@ittc.ku.edu)
 Carlos Natalino (carlos.natalino@chalmers.se)
@@ -272,6 +278,8 @@
 Ovidiu Poncea (ovidiu.poncea@cs.pub.ro)
 Anna Poon (poon2@llnl.gov)
 Gauri Prasad
+Ishan Prasad (ishan04722042@gmail.com)
+S B L Prateek (sblprateek@gmail.com)
 Vikas Pushkar (vikaskupushkar@gmail.com)
 Martin Quinson (mquinson@debian.org)
 Philipp Raich (philipp.raich@tuwien.ac.at)
@@ -279,6 +287,7 @@
 Manoj Kumar Rana (manoj24.rana@gmail.com)
 Andrea Ranieri (andreran@uno.it)
 Ashish Reddy (ashishajr@gmail.com)
+Dhiraj Lokesh (dhirajlokesh@gmail.com)
 Bruno Ranieri (Yrrsinn@googlemail.com)
 Deepti Rajagopal (deeptir96@gmail.com)
 Satyarth Ratnani (satyarthratnani@gmail.com)
@@ -354,6 +363,7 @@
 Mauro Tortonesi (mauro.tortonesi@unife.it)
 Quincy Tse (quincy.tse@gmail.com)
 Frederic Urbani (frederic.urbani@inria.fr)
+Urval (kheniurval777@gmail.com)
 Andras Varga (andras@omnetpp.org)
 Shrinidhi Anil Varna (shrinidhi99.varna@gmail.com)
 Silviu-Leonard Vatamanelu (silviu48vatamanelu@gmail.com)
@@ -369,8 +379,9 @@
 He Wu (mdzz@u.washington.edu)
 Xiuchao Wu (xiuchao@amazon.com)
 Aron Wussler (aron@wussler.it)
-wzfelix <wzfhrb.cn@gmail.com>
+wzfelix (wzfhrb.cn@gmail.com)
 Heran Yang (heran55@126.com)
+Yaswanthyash1 (yaswanthnamburi1010@gmail.com)
 Yoshihiko Yazawa (yoshiyaz@gmail.com)
 Menglei Zhang (menglei@nyu.edu)
 Theodore Zhang (harryzwh@gmail.com)
@@ -385,3 +396,5 @@
 Parth Pratim (GCI 2018)
 ra1nst0rm3d (GCI 2019)
 SaiMyGuy (GCI 2019)
+TheBear (25639689-thebear132@users.noreply.gitlab.com)
+
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/bindings/python/ns__init__.py ns-3.47/bindings/python/ns__init__.py
--- ns-3.46/bindings/python/ns__init__.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/bindings/python/ns__init__.py	2026-02-16 16:08:49.476229400 -0800
@@ -543,8 +543,7 @@
     setattr(cppyy.gbl.ns3, "cppyy", cppyy)
 
     # Set up a few tricks
-    cppyy.cppdef(
-        """
+    cppyy.cppdef("""
         using namespace ns3;
         bool Time_ge(Time& a, Time& b){ return a >= b;}
         bool Time_eq(Time& a, Time& b){ return a == b;}
@@ -552,8 +551,7 @@
         bool Time_le(Time& a, Time& b){ return a <= b;}
         bool Time_gt(Time& a, Time& b){ return a > b;}
         bool Time_lt(Time& a, Time& b){ return a < b;}
-    """
-    )
+    """)
     cppyy.gbl.ns3.Time.__ge__ = cppyy.gbl.Time_ge
     cppyy.gbl.ns3.Time.__eq__ = cppyy.gbl.Time_eq
     cppyy.gbl.ns3.Time.__ne__ = cppyy.gbl.Time_ne
@@ -574,8 +572,7 @@
 
     cppyy.gbl.ns3.Node.__del__ = Node_del
 
-    cppyy.cppdef(
-        """
+    cppyy.cppdef("""
         using namespace ns3;
         std::tuple<bool, TypeId> LookupByNameFailSafe(std::string name)
         {
@@ -583,8 +580,7 @@
             bool ok = TypeId::LookupByNameFailSafe(name, &id);
             return std::make_tuple(ok, id);
         }
-    """
-    )
+    """)
     setattr(cppyy.gbl.ns3, "LookupByNameFailSafe", cppyy.gbl.LookupByNameFailSafe)
 
     return cppyy.gbl.ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/build-support/3rd-party/FindEigen3.cmake ns-3.47/build-support/3rd-party/FindEigen3.cmake
--- ns-3.46/build-support/3rd-party/FindEigen3.cmake	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/build-support/3rd-party/FindEigen3.cmake	2026-02-16 16:08:49.476229400 -0800
@@ -58,9 +58,12 @@
   endif()
 
   if(NOT EIGEN3_VERSION_OK)
-
-    message(STATUS "Eigen3 version ${EIGEN3_VERSION} found in ${EIGEN3_INCLUDE_DIR}, "
-                   "but at least version ${Eigen3_FIND_VERSION} is required")
+    if(${EIGEN3_VERSION} STREQUAL "..")
+      message(WARNING "The Eigen you have installed in ${EIGEN3_INCLUDE_DIR} is not Eigen3. Make sure you did not install Eigen5 by mistake.")
+    else()
+      message(STATUS "Eigen3 version ${EIGEN3_VERSION} found in ${EIGEN3_INCLUDE_DIR}, "
+                    "but at least version ${Eigen3_FIND_VERSION} is required")
+    endif()
   endif()
 endmacro()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/build-support/custom-modules/ns3-compiler-workarounds.cmake ns-3.47/build-support/custom-modules/ns3-compiler-workarounds.cmake
--- ns-3.46/build-support/custom-modules/ns3-compiler-workarounds.cmake	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/build-support/custom-modules/ns3-compiler-workarounds.cmake	2026-02-16 16:08:49.477229400 -0800
@@ -94,7 +94,7 @@
     "
     STACKTRACE_LIBRARY_IS_LINKED
   )
-
+  set(CMAKE_REQUIRED_LIBRARIES)
   if(STACKTRACE_LIBRARY_IS_LINKED)
     add_definitions(-DSTACKTRACE_LIBRARY_IS_LINKED=1)
   else()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/build-support/custom-modules/ns3-coverage.cmake ns-3.47/build-support/custom-modules/ns3-coverage.cmake
--- ns-3.46/build-support/custom-modules/ns3-coverage.cmake	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/build-support/custom-modules/ns3-coverage.cmake	2026-02-16 16:08:49.477229400 -0800
@@ -33,7 +33,7 @@
   add_custom_target(
     coverage_gcc
     COMMAND lcov -o ns3.info -c --directory ${CMAKE_BINARY_DIR} ${zero_counters}
-            --keep-going --ignore-errors inconsistent
+            --keep-going --ignore-errors inconsistent,negative
     WORKING_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/coverage
     DEPENDS run_test_py
   )
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/build-support/custom-modules/ns3-vcpkg-hunter.cmake ns-3.47/build-support/custom-modules/ns3-vcpkg-hunter.cmake
--- ns-3.46/build-support/custom-modules/ns3-vcpkg-hunter.cmake	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/build-support/custom-modules/ns3-vcpkg-hunter.cmake	2026-02-16 16:08:49.479229500 -0800
@@ -186,6 +186,6 @@
 
 if(${NS3_VCPKG})
   setup_vcpkg()
-  include_directories(${VCPKG_DIR}/installed/${VCPKG_TRIPLET}/include)
+  include_directories(SYSTEM ${VCPKG_DIR}/installed/${VCPKG_TRIPLET}/include)
   link_directories(${VCPKG_DIR}/installed/${VCPKG_TRIPLET}/lib)
 endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/build-support/macros-and-definitions.cmake ns-3.47/build-support/macros-and-definitions.cmake
--- ns-3.46/build-support/macros-and-definitions.cmake	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/build-support/macros-and-definitions.cmake	2026-02-16 16:08:49.479229500 -0800
@@ -256,23 +256,33 @@
     endif()
   endif()
 
-  if(${NS3_CLANG_TIDY})
+  if(${NS3_CLANG_TIDY} OR ${NS3_CLANG_TIDY_FIX})
     find_program(
-      CLANG_TIDY
-      NAMES clang-tidy
-            clang-tidy-15
-            clang-tidy-16
-            clang-tidy-17
-            clang-tidy-18
-            clang-tidy-19
-            clang-tidy-20
+      CLANG_TIDY NAMES clang-tidy-21 clang-tidy-20 clang-tidy-19 clang-tidy-18
+                       clang-tidy-17 clang-tidy
     )
     if("${CLANG_TIDY}" STREQUAL "CLANG_TIDY-NOTFOUND")
       message(FATAL_ERROR "Clang-tidy was not found")
     else()
-      set(CMAKE_CXX_CLANG_TIDY ${CLANG_TIDY}
-                               -config-file=${CMAKE_SOURCE_DIR}/.clang-tidy
-      ) # --fix)
+      if(${NS3_CLANG_TIDY})
+        set(CMAKE_CXX_CLANG_TIDY
+            ${CLANG_TIDY} --config-file=${CMAKE_SOURCE_DIR}/.clang-tidy
+            --format-style=file -p ${CMAKE_BINARY_DIR}
+        )
+      else()
+        set(CMAKE_CXX_CLANG_TIDY
+            ${CLANG_TIDY}
+            --config-file=${CMAKE_SOURCE_DIR}/.clang-tidy
+            --fix
+            --fix-errors
+            --fix-notes
+            --format-style=file
+            --warnings-as-errors=*
+            --quiet
+            -p
+            ${CMAKE_BINARY_DIR}
+        )
+      endif()
     endif()
   else()
     unset(CMAKE_CXX_CLANG_TIDY)
@@ -394,9 +404,25 @@
   endif()
 
   if(${NS3_SANITIZE})
-    set(CMAKE_CXX_FLAGS
-        "${CMAKE_CXX_FLAGS} -fsanitize=address,leak,undefined -fno-sanitize-recover=all"
-    )
+    set(SANITIZERS "address" "undefined" "leak")
+    set(AVAILABLE_SANITIZERS)
+    foreach(flag ${SANITIZERS})
+      set(CMAKE_REQUIRED_FLAGS "-fsanitize=${flag}")
+      check_cxx_source_compiles("int main() { return 0; }" HAS_FLAG_${flag})
+      if(HAS_FLAG_${flag})
+        list(APPEND AVAILABLE_SANITIZERS ${flag})
+      endif()
+    endforeach()
+    unset(CMAKE_REQUIRED_FLAGS)
+    string(REPLACE ";" "," SANITIZERS_FLAGS "${AVAILABLE_SANITIZERS}")
+    if(AVAILABLE_SANITIZERS)
+      message(STATUS "Sanitizers: found ${SANITIZERS_FLAGS}")
+      set(CMAKE_CXX_FLAGS
+          "${CMAKE_CXX_FLAGS} -fsanitize=${SANITIZERS_FLAGS} -fno-sanitize-recover=all"
+      )
+    else()
+      message(WARNING "Sanitizers: no sanitizers available")
+    endif()
   endif()
 
   if(${NS3_SANITIZE_MEMORY})
@@ -542,7 +568,7 @@
       set(ENABLE_SQLITE True)
       add_definitions(-DHAVE_SQLITE3)
       if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-        include_directories(${SQLite3_INCLUDE_DIRS})
+        include_directories(SYSTEM ${SQLite3_INCLUDE_DIRS})
       endif()
     endif()
   endif()
@@ -558,7 +584,7 @@
       add_definitions(-DHAVE_EIGEN3)
       add_definitions(-DEIGEN_MPL2_ONLY)
       if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-        include_directories(${EIGEN3_INCLUDE_DIR})
+        include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})
       endif()
     else()
       set(ENABLE_EIGEN_REASON "Eigen was not found")
@@ -588,7 +614,9 @@
           )
         else()
           if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-            include_directories(${GTK3_INCLUDE_DIRS} ${HarfBuzz_INCLUDE_DIRS})
+            include_directories(
+              SYSTEM ${GTK3_INCLUDE_DIRS} ${HarfBuzz_INCLUDE_DIRS}
+            )
           endif()
         endif()
       endif()
@@ -617,7 +645,7 @@
     else()
       add_definitions(-DHAVE_LIBXML2)
       if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-        include_directories(${LIBXML2_INCLUDE_DIR})
+        include_directories(SYSTEM ${LIBXML2_INCLUDE_DIR})
       endif()
     endif()
   endif()
@@ -625,7 +653,7 @@
   set(THREADS_PREFER_PTHREAD_FLAG)
   find_package(Threads QUIET)
   if(NOT ${Threads_FOUND})
-    message(FATAL_ERROR Threads are required by ns-3)
+    message(FATAL_ERROR "Threads are required by ns-3")
   endif()
 
   set(Python3_LIBRARIES)
@@ -662,7 +690,7 @@
         endif()
       endif()
       if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-        include_directories(${Python3_INCLUDE_DIRS})
+        include_directories(SYSTEM ${Python3_INCLUDE_DIRS})
       endif()
     else()
       message(${HIGHLIGHTED_STATUS}
@@ -849,7 +877,7 @@
   find_package(Boost QUIET)
   if(${Boost_FOUND})
     if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-      include_directories(${Boost_INCLUDE_DIRS})
+      include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
     endif()
     set(CMAKE_REQUIRED_INCLUDES ${Boost_INCLUDE_DIRS})
   else()
@@ -865,7 +893,7 @@
       message(STATUS "GSL was found.")
       add_definitions(-DHAVE_GSL)
       if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
-        include_directories(${GSL_INCLUDE_DIRS})
+        include_directories(SYSTEM ${GSL_INCLUDE_DIRS})
       endif()
     endif()
   endif()
@@ -942,8 +970,10 @@
       )
       add_custom_target(
         run-introspected-command-line
-        COMMAND ${CMAKE_COMMAND} -E env NS_COMMANDLINE_INTROSPECTION=..
-                ${Python3_EXECUTABLE} ./test.py --no-build --constrain=example
+        COMMAND
+          ${CMAKE_COMMAND} -E env NS_COMMANDLINE_INTROSPECTION=..
+          ${Python3_EXECUTABLE} ./test.py --no-build --retain
+          --constrain=example
         WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
         DEPENDS all-test-targets # all-test-targets only exists if ENABLE_TESTS
                                  # is set to ON
@@ -951,11 +981,15 @@
 
       file(
         WRITE ${CMAKE_BINARY_DIR}/introspected-command-line-preamble.h
-        "/* This file is automatically generated by
-  CommandLine::PrintDoxygenUsage() from the CommandLine configuration
-  in various example programs.  Do not edit this file!  Edit the
-  CommandLine configuration in those files instead.
-  */\n"
+        "/**
+ * @file
+ * @ingroup utils
+ * Doxygen docs generated from the ns3::CommandLine options for each example.
+ * @note This file is automatically generated by
+ * ns3::CommandLine::PrintDoxygenUsage() from the ns3::CommandLine configuration
+ * in various example programs.  Do not edit this file!  Edit the
+ * ns3::CommandLine configuration in those files instead.
+ */\n"
       )
       add_custom_target(
         assemble-introspected-command-line
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/build-support/test-files/test-package-managers/CMakeLists.txt ns-3.47/build-support/test-files/test-package-managers/CMakeLists.txt
--- ns-3.46/build-support/test-files/test-package-managers/CMakeLists.txt	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/build-support/test-files/test-package-managers/CMakeLists.txt	2026-02-16 16:08:49.479229500 -0800
@@ -15,7 +15,7 @@
   set(armadillo
       armadillo
   )
-  include_directories(${CMAKE_BINARY_DIR}/_deps/armadillo-src/include)
+  include_directories(SYSTEM ${CMAKE_BINARY_DIR}/_deps/armadillo-src/include)
 elseif(
   ${TEST_PACKAGE_MANAGER}
   STREQUAL
@@ -24,7 +24,7 @@
   set(armadillo
       ${ARMADILLO_LIBRARIES}
   )
-  include_directories(${ARMADILLO_INCLUDE_DIRS})
+  include_directories(SYSTEM ${ARMADILLO_INCLUDE_DIRS})
 else()
   message(FATAL_ERROR "zoincs")
   message(
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/.clang-tidy ns-3.47/.clang-tidy
--- ns-3.46/.clang-tidy	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/.clang-tidy	2026-02-16 16:08:49.469229500 -0800
@@ -14,6 +14,7 @@
   bugprone-terminating-continue,
   bugprone-too-small-loop-variable,
   bugprone-virtual-near-miss,
+  misc-header-include-cycle,
   misc-redundant-expression,
   misc-static-assert,
   modernize-make-shared,
@@ -58,5 +59,4 @@
   - -Wno-unknown-warning-option
 
 FormatStyle: "file"
-HeaderFilterRegex: ".*(ns|NS).*/(contrib|examples|src|scratch|utils)/*/.*h"
 UseColor: true
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/CMakeLists.txt ns-3.47/CMakeLists.txt
--- ns-3.46/CMakeLists.txt	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/CMakeLists.txt	2026-02-16 16:08:49.472229500 -0800
@@ -30,6 +30,9 @@
 # maintenance and documentation
 option(NS3_CLANG_FORMAT "Enforce cody style with clang-format" OFF)
 option(NS3_CLANG_TIDY "Use clang-tidy static analysis" OFF)
+option(NS3_CLANG_TIDY_FIX
+       "Use clang-tidy static analysis and apply automatic fixes" OFF
+)
 option(NS3_CLANG_TIMETRACE
        "Collect compilation statistics to analyze the build process" OFF
 )
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/.codespellrc ns-3.47/.codespellrc
--- ns-3.46/.codespellrc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.47/.codespellrc	2026-02-16 16:08:49.469229500 -0800
@@ -0,0 +1,5 @@
+[codespell]
+skip = .git,.gitlab-ci-local,*.eps,*.pdf,*.svg,*.css_t,AUTHORS,*build*,*.mob,./cmake-*,./venv
+ignore-words = ./utils/codespell-ignored-words
+exclude-file = ./utils/codespell-ignored-lines
+regex = (?<![a-zà-öø-ÿ])[a-zà-öø-ÿ'`]+|[A-ZÀ-ÖØ-Þ][a-zà-öø-ÿ'`]*|[a-zà-öø-ÿ]+'[a-zà-öø-ÿ]*|[a-zà-öø-ÿ]+(?=[_-])|[a-zà-öø-ÿ]+(?=[A-ZÀ-ÖØ-Þ])|\d+
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/contrib/.gitignore ns-3.47/contrib/.gitignore
--- ns-3.46/contrib/.gitignore	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.47/contrib/.gitignore	2026-02-16 16:08:49.480229400 -0800
@@ -0,0 +1,5 @@
+# Ignore everything by default, contrib sources are coming from other places
+*
+
+# Include specific files that should be tracked by Git
+!.gitignore
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/doc/doxygen.conf ns-3.47/doc/doxygen.conf
--- ns-3.46/doc/doxygen.conf	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/doc/doxygen.conf	2026-02-16 16:08:49.485229500 -0800
@@ -265,6 +265,8 @@
 ##     template <typename T> void Func ();
 ##   which is called as
 ##     Func<MyClass> ();
+## Hide the caller graph
+## Hide the Referenced by list
 
 ALIASES                = "bugid{1}=<a href=\"http://www.nsnam.org/bugzilla/show_bug.cgi?id=\1\">Bug \1</a>" \
                          "issueid{1}=<a href=\"https://gitlab.com/nsnam/ns-3-dev/-/issues/\1\">Issue \1</a>" \
@@ -272,7 +274,9 @@
                          "pname{1}=<span class=\"params\"><span class=\"paramname\">\1</span></span>" \
                          "RFC{1}=<a href=\"http://datatracker.ietf.org/doc/rfc\1/\">RFC \1</a>" \
                          "deduced=<span class=\"params\"><span class=\"paramdir\">[deduced] </span></span>" \
-                         "explicit=<span class=\"params\"><span class=\"paramdir\">[explicit]</span></span>"
+                         "explicit=<span class=\"params\"><span class=\"paramdir\">[explicit]</span></span>" \
+                         "hidecaller=Caller graph was not generated because of its size. @hidecallergraph <br/>" \
+                         "hideref=Referenced by list suppressed because of its size. @hiderefby <br/>"
 
 # Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources
 # only. Doxygen will then generate output that is more tailored for C. For
@@ -2275,7 +2279,7 @@
                          DOXYGEN_SHOULD_SKIP_THIS \
                          INT64X64_USE_CAIRO \
                          INT64X64_USE_DOUBLE \
-                         INT64X64_USE_CAIRO \
+                         INT64X64_USE_128 \
                          __attribute__(x)= \
                          __declspec(x)=
 
@@ -2299,6 +2303,7 @@
                          ATTRIBUTE_VALUE_IMPLEMENT_WITH_NAME \
                          NS_UNUSED_GLOBAL \
                          NS_DEPRECATED \
+                         NS_DEPRECATED_3_47 \
                          NS_DEPRECATED_3_46 \
                          NS_DEPRECATED_3_45 \
                          NS_DEPRECATED_3_44 \
@@ -2643,7 +2648,7 @@
 # Minimum value: 0, maximum value: 10000, default value: 50.
 # This tag requires that the tag HAVE_DOT is set to YES.
 
-DOT_GRAPH_MAX_NODES    = 70
+DOT_GRAPH_MAX_NODES    = 50
 
 # The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the graphs
 # generated by dot. A depth value of 3 means that only nodes reachable from the
